commit:     2d0bb2a728da9359ac899f47aa05b1ef03e55f00
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 27 08:18:30 2015 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Tue Oct 27 08:28:59 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2d0bb2a7

app-emacs/dash: Version bump. Specify LICENSE more precisely.

Package-Manager: portage-2.2.23

 app-emacs/dash/Manifest           |  1 +
 app-emacs/dash/dash-2.12.1.ebuild | 24 ++++++++++++++++++++++++
 2 files changed, 25 insertions(+)

diff --git a/app-emacs/dash/Manifest b/app-emacs/dash/Manifest
index a6dafa6..2d6975b 100644
--- a/app-emacs/dash/Manifest
+++ b/app-emacs/dash/Manifest
@@ -1 +1,2 @@
 DIST dash-2.12.0.tar.gz 140949 SHA256 
272b337f31edb95c5aadc8e953d522bd307dc522588f246cc9157edee10b1a76 SHA512 
7697083daad4e927aa30a238c3181c4a4ba0e30a2034f0975d4e29e5c2b89ff9f3c8b150ec74811e67fc539b4fb618ed7772f06ace959724a786f25e34276499
 WHIRLPOOL 
c8787267c79d1fb023ee2a27cab7cfb06f4d863093ad95b5710fea1b613e3a2b7a0e3398d94698babc0a5310ac7d64eed5fc54269bd653724a04423014d040c3
+DIST dash-2.12.1.tar.gz 142247 SHA256 
41460193aa74787b247b09ad7cae696016110abba2a922ef1a067472eba15220 SHA512 
66cfd1da52e77c766677bdcf85b3369aa0ae96775f45cf1dc4a87d3d5cfad60594d3ba603ec5d1ff8ad4db983806b6a012065ae8eeb7a06c6095065c7de9d1d7
 WHIRLPOOL 
79910beee0e2875640bbe92f1065c5a53791b84bc1c134977c562049baaebf12c096a38160d0a1e7f1ec7360a963caa1bf163db006ffe8f1f48ff7b165f175a9

diff --git a/app-emacs/dash/dash-2.12.1.ebuild 
b/app-emacs/dash/dash-2.12.1.ebuild
new file mode 100644
index 0000000..15be973
--- /dev/null
+++ b/app-emacs/dash/dash-2.12.1.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit elisp
+
+DESCRIPTION="A modern list library for Emacs"
+HOMEPAGE="https://github.com/magnars/dash.el";
+SRC_URI="https://github.com/magnars/dash.el/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+
+S="${WORKDIR}/${PN}.el-${PV}"
+SITEFILE="50${PN}-gentoo.el"
+ELISP_TEXINFO="dash.texi"
+DOCS="README.md"
+
+src_test() {
+       ./run-tests.sh || die
+}

Reply via email to